.NET Tutorials, Forums, Interview Questions And Answers
Welcome :Guest
Sign In
Win Surprise Gifts!!!

Top 5 Contributors of the Month
Gaurav Pal
Post New Web Links

Is jQuery 1.4.1 still the latest VS 2010 supported version?

Posted By:      Posted Date: April 14, 2011    Points: 0   Category :ASP.Net

Has Microsoft ever updated the supported version of jQuery? More specifically, does SP1 bring along a new version of jQuery with complete IntelliSense support?

View Complete Post

More Related Resource Links

How to fix "Validation(): Element 'xxxx' is not supported" Visual Studio 2010

Since about a month ago,I started to get validation warnings at design time on asp.net server controls (any control actually) within the html design view for VS 2010,intellisense on all controls would not work at all,the messages look like this: Validation(): Element 'Label' is not supported. Validation(): Element 'GridView' is not supported ....etc The compilation done successfully but the warnings still exist and intellisense is not working at the source tab I tried to reset the settings of VS 2010 ,disabled all extensions and few other ideas but none of them solved the issue,I got stuck. I did a search over the internet about this issue and found this article on Doug Kennard's blog: http://www.gotknowhow.com/articles/fix-validation-element-not-supported-visual-studio-2010 Splendid,that article is a life savior.

Deploying and Using jQuery with a SharePoint 2010 Sandboxed Solution

If you're an avid reader of this blog, you probably now that I'm quite a big fan of the jQuery Javascript library, especially in combination with SharePoint sites. For a while I've been trying to find a mechanism to deploy jQuery and add a reference to it on all SharePoint pages of a site, by just using a Sandboxed Solution. The first part, deploying the jQuery file, is really easy; this can be done in a Module in a SharePoint project. The second part was more of a challenge; making sure the jQuery file got referenced in all pages of a SharePoint site. My initial thought was to do this by using the AdditionalPageHead Delegate control, but it's not possible in a Sandboxed Solution (you need to deploy the .ASCX to the SharePoint root). My second thought was to use the new ScriptSrc attribute you can use in a CustomAction (I wrote about this attribute some time ago). But initially I was under the impression that the ScriptSrc attribute could only target Javascript files loaded from the SharePoint Root (the \LAYOUTS) folder, resulting in a no-go for a Sandboxed Solution as well. Daniel McPherson stumbled upon this issue as well, but neatly solved it using Javascript to add the reference dynamically. But apparently you can make use of the ScriptSrc attribute to reference files from the Virtual File System (e.g. a Document Library in a site) as well! (thank you Frederic Dobon for men

Install MVC/jQuery on MS VS 2008 trial version

Greetings, Please assist me in system requirements on installing MVC/jQuery in MS VS 2008 trail version. Do MVC/jQuery ships with VS 2008 Premium/Professional Trial Version? Or I have to download it separately. Thank you beforehand. Jagdish

protocol version is not supported

Hi, I encountered an exception when running an application on Windows 7: the code: skt = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp); skt.Connect(ipAddress, 7000); threw  "procotol version is not supported" exception. The same application runs correctly on Windows XP. Is there any settings I need to do on Windows 7, or I need to change my C# code?   Thanks a lot!

Cannot Restore Backup from Sharepoint Server 2007 to Sharepoint Server 2010 Trial Version

After installing the trial version of Sharepointn 2010 I wanted to restore my Sharepoint 2007 sites to it but received the following error:  "The site collection could not be restored. If this problem persists, please make sure the content databases are available and have sufficient free space." I went on to create a new content database in sharepoint 2010 but it still did not work. The old database i.e the one used by the sharepoint 2007 server is SQL 2005. During the installation of the sharepoint 2010 version I selected SQl Server Express for the database. Is there any specifics for migrating from MOSS 2007 to sharepoint 2010? Thanks for helping

what is the latest version for SQL Server 2008 R2

We are using Microsoft SQL Server 2008 R2 (RTM) - 10.50.1600.1 (X64)   Apr  2 2010 15:48:46   Copyright (c) Microsoft Corporation  Enterprise Edition (64-bit) on Windows NT 5.2 <X64> (Build 3790: Service Pack 2).    LISA86

What is the latest version of Business Intelligence Development Studio (BIDS) 2005

When open BIDS 2005 and go to help ---> about i see the following: Microsoft Visual Studio 2005 Version 8.0.50727.42  (RTM.050727-4200) Microsoft .NET Framework Version 2.0.50727 SP2 Do I have the latest service pack installed for BIDS?

What are the latest advancement in MS VisualStudio 2010?

Give me the latest advancement in VS 2010?

Error while adding reference to latest version of AjaxControlToolkit


HI All,

I am a bit new to ASP.Net Ajax and as such new to Ajax itself. I have a site which uses ASP.Net Ajax.  It used the version AjaxControlToolkit version 3.0.30512.0. I have now changed it to version 3.5.40412.2 by deleting the old reference and adding a reference to the latest one . I build the soultion and everything appears fine witjhout any errors. But the site fails to load showing a yellow page with the message AjaxControlToolkit Version="3.5.40412.2" missing reference to 'AjaxControlToolkit.ExtenderBase.Base Scripts.js.BaseScripts.js'. What does this mean ?

Your backup is from a different version of Microsoft SharePoint Foundation -- Sharepoint 2010


I made a backup of SharePoint farm from 2010 and tried to restore on a dev server and kept getting this error.  I looked at the versions of SharePoint on both servers, and they were identical:  14.0.4763.1000

I'm posting this although it is not a question, but a statement that might help someone else.  It took a while to notice that there had been an upgrade on the original server that the new dev box did not yet have... not an SP, but more like a hotfix type upgrade.

In Central Admin, go to "Upgrade and Migration".  Click on "Check product and patch installation status".  Scroll down the page of results and see if there are any links to updates that have been installed on the original server that are not on the new server, or vice-versa.  I did find a link on my original server.  Clicking on it opened the update page, so I copied the URL, went to my dev server, opened that page and installed the update, and voila!

No Javascript / JQuery intellisense in VWD 2010


I used to have intellisense for Javascript, including JQuery, in Visual Web Developer 2008. However in 2010 it has disappeared.  I have tried resetting my settings, but this has not helped.

Any suggestions?

Many thanks in advance


View Version History in SharePoint Designer 2010


Can SharePoint Designer view the version history of a list?  I want a workflow to send an email only when a specific column has been modified.


VS 2010 Version of Josh Smith's MVVM Demo Application

I tried downloading Josh Smith's MVVM demo yesterday and when I opened it up in VS 2010 I got several errors.  Has any one else encountered this problem?  And is there an updated version available for VS 2010?

2010 SharePoint global setting for document Library version control?


Apparently new Document Libraries created in Sharepoint are no longer set up the way we would like as far as version control.  Is there any way to set up SP so that any new document library created has specific settings, through Central admin control?

Jack Galante Sr Systems Engineer

i do see that previous versions this was not possible, but was curious if they changed this in 2010?

Error with .net Framework 1.1 installation (This is not supported for 64-bit version of xp (although

My laptop is currently using vista business 64bit. I've tried everything, the windows redistributable, the sp1 patches, even the slipstream, nothing works, I still get the "This is not supported for 64-bit version of xp" error. there is no previous version of framework 1.1 installed in my laptop. Currently my laptop has .net 3.5 installed only.

http://forums.techarena.in/windows-software/1183887.htm <-- slipstream

Hardware: Lenovo t500 laptop with
4gig ram
duo core 2.55ghz
fully updated windows vista business 64-bit

Vista Framework Cleanup tool Log: (tried removing framework 1.1 and reinstall, still the same error not compatible with xp)

[06/18/09,18:48:35] Beginning of new cleanup utility session
[06/18/09,18:48:35] Build created on December 22, 2008
[06/18/09,18:48:35] Detected operating system: Windows Vista (x64)
[06/18/09,18:48:35] Install state for .NET Framework 1.0: not installed.
[06/18/09,18:48:35] Install state for .NET Framework 1.1: not installed.
[06/18/09,18:48:35] Install state for .NET Framework 2.0: installed with service

where can i find Jquery tabs webparts for Sharepoint 2010?


Hi All, I'm after a Jquery tabs webparts for Sharepoint 2010? i came across this one http://jquerytabswebpart.codeplex.com/ But its only for SP 2007. Any resources would be appreciated. THanks

jquery-latest broken?


the web pages I am working on were not working this morning.   $(location).attr('href', hrefString ) was not redirecting to the href.  I changed my jquery library from jquery-latest to jquery 1.4.2 at google, and things worked again.

  <script type="text/javascript"

		<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js" 



ASP.NetWindows Application  .NET Framework  C#  VB.Net  ADO.Net  
Sql Server  SharePoint  Silverlight  Others  All   

Hall of Fame    Twitter   Terms of Service    Privacy Policy    Contact Us    Archives   Tell A Friend